package main

import (
	"encoding/csv"
	"fmt"
	"os"
	"strconv"
)

type Post struct {
	id int
	name string
	Content string
}

var PostById  map[int]*Post
var PostByName map[string][]*Post




func main() {
	list := []Post{
		{1, "zjj", "1"},
		{2, "zjj", "2"},
		{3, "zjj", "dx"},
	}

	dirName := "1.csv"

	file,_ := os.Create(dirName)
	defer file.Close()

	csvW := csv.NewWriter(file)

	for _,v := range list{
		csvW.Write([]string{ strconv.Itoa(v.id), v.name, v.Content})
	}
	csvW.Flush()


	file2,_ :=  os.Open(dirName)
	defer file2.Close()

	csvR := csv.NewReader(file2)

	txt,_ := csvR.ReadAll()
	for _,v := range txt{
		fmt.Print(v)
	}
}

