package main

import (
	"database/sql"
	"fmt"
)
import _ "github.com/go-sql-driver/mysql"

var Db *sql.DB
var Err error

type Users struct {
	Id int
	Name string
	Email string
}

func init() {
	Db,Err = sql.Open("mysql", "root:ibaotu@tcp(127.0.0.1:3308)/zf")
	echoError(Err)
}

func getData(id int)(user Users) {
	rows,Err := Db.Query("SELECT `id`,`name`,`email` FROM zf_a WHERE id = ?", id)
	echoError(Err)

	for rows.Next() {
		rows.Scan(&user.Id,&user.Name,&user.Email)
	}
	return
}

func echoError(err error) {
	if err != nil {
		panic(err)
	}
}

func (user *Users)Create( )(id int, error error){

	statement := "INSERT INTO zf_a (name,email) values (?, ?)"
	stmt,_ := Db.Prepare(statement)

	defer stmt.Close()
	_,error = stmt.Query(user.Name,user.Email)
	echoError(error)

	Db.QueryRow("select MAX(id) as id FROM zf_a").Scan(&id)
	return
}



func main () {
	var user Users
	user.Name = "zjjj"
	user.Email = "zjjj@qq.com"

	id,err := user.Create()
	echoError(err)

	user = getData(id)

	fmt.Println(user)
}
