package main

import (
	"encoding/json"
	"fmt"
	"io/ioutil"
)

type Post struct{
	Id int `json:"id"`
	Content string `json:"content"`
	Authors Author  `json:"author"`
	Comments []Comment `json:"comments"`
}

type Comment struct{
	Id int `json:"id"`
	Content string `json:"content"`
	Author string `json:"author"`
}

type Author struct{
	Id int `json:"id"`
	Name string `json:"name"`
}




func make(post Post) {
	buff,_ := json.MarshalIndent(&post,"","\t")
	ioutil.WriteFile("json",buff,777)
}

func rede()  {
	buff,_ := ioutil.ReadFile("json")
	var  post Post
	json.Unmarshal(buff, &post)
	fmt.Println(post.Comments[0].Content)
}

func main()  {
	 post := Post{
	 	Id:1,
	 	Content:"内容",
	 	Authors:Author{
	 		Id:2,
	 		Name:"作者名字",
		},
		 Comments:[]Comment{
		 	{Id:1,Content:"评论1",Author:"111"},
		 	{Id:1,Content:"评论2",Author:"222"},
		 },
	 }

	 fmt.Println(post)
	 make(post)

	//rede()
}