package xml

import (
	"encoding/xml"
	"io/ioutil"
	"os"
	"fmt"
)

type Post struct {
	XMLName xml.Name `xml:"post"`
	Id int `xml:"id,attr"`
	Name string `xml:"name,attr"`
	Title string `xml:"title"`
}

func EchoError(err error) {

	if err != nil {
		panic(err)
	}

}

func readXml()(post Post) {
	//打开创建文件
	file,err := os.Open("post.xml")
	EchoError(err)
	defer  file.Close()

	xmlData,err := ioutil.ReadAll(file)
	EchoError(err)
	_ = xml.Unmarshal(xmlData, &post)

	return
}

func make() {
	post := Post{
		Id: 1,
		Name: "z",
		Title:"php",
	}

	xmlData,err := xml.Marshal(post)
	EchoError(err)

	file,err := os.Create("post.xml")
	EchoError(err)
	defer file.Close()

	_,err =file.Write(xmlData)

	EchoError(err)

	fmt.Println("ok")
}

func main()  {
	make()

	/*post := readXml()
	fmt.Println(post.Title)*/
}