package main

import (
	"encoding/json"
	"fmt"
	"net/http"
	"net/http/httptest"
	"testing"
)

func TestGetHandle(t *testing.T){
	mux := http.NewServeMux()
	mux.HandleFunc("/post/" ,postHandle(&FakePost{}))

	w := httptest.NewRecorder()
	r,_ := http.NewRequest("get","/post/?id=1",nil)

	mux.ServeHTTP(w,r)

	var post Post

	json.Unmarshal(w.Body.Bytes(),&post)

	fmt.Println(post)

}