package main

import (
	"fmt"
	"net/http"
	"./Data"
)

func index(w http.ResponseWriter, r *http.Request) {
	cookie := http.Cookie{
		Name : "theisCookie",
		Value : "is v",
	}
	dbLog := Data.Init();


	http.SetCookie(w, &cookie)
	fmt.Fprintf(w, dbLog)
}

func main()  {
	mux := http.NewServeMux()
	file := http.FileServer(http.Dir("./static"))
	mux.Handle("/css/", http.StripPrefix("/css/", file))
	mux.HandleFunc("/", index)
	http.ListenAndServe(":1333", mux)
}
