package main

import (
	"fmt"
	"net/http"
)

type AHandle struct {}

func (*AHandle) ServeHTTP(w http.ResponseWriter,r *http.Request)  {
	fmt.Fprintf(w,"it's a!!<br/>")
}

type BHandle struct {}

func (*BHandle) ServeHTTP (w http.ResponseWriter,r *http.Request) {
	fmt.Fprintf(w, "it's b!!")
}

func main() {
	A := AHandle{}
	B := BHandle{}

	mux := http.NewServeMux()
	mux.Handle("/a", &A)
	mux.Handle("/b", &B)

	s := http.Server{
		Addr: "127.0.0.1:1200",
		Handler: mux,
	}
	s.ListenAndServe()
}