package main

import (
	"fmt"
	"net/http"
)

func responseHtml(w http.ResponseWriter,r *http.Request)  {
	str := "<p style='color:red'> it's HTML<p>"
	w.Write([]byte(str))
}

func responseCode(w http.ResponseWriter,r *http.Request)  {
	w.WriteHeader(500)
	fmt.Fprint(w, "api error")
}

func response301(w http.ResponseWriter,r *http.Request)  {
	w.Header().Set("Location", "http://ibaotu.com")
	w.WriteHeader(301)
}

func main()  {
	http.HandleFunc("/html", responseHtml)
	http.HandleFunc("/code", responseCode)
	http.HandleFunc("/301", response301)
	http.ListenAndServe(":1422", nil)
}
