package main

import (
	"bytes"
	"encoding/gob"
	"fmt"
	"io/ioutil"
)

type Post struct {
	id int
	name string
	Content string
}

func main() {

	data := Post{id:1,name:"李白",Content:"望庐山瀑布"}
	buffer := new(bytes.Buffer)
	encode := gob.NewEncoder(buffer)
	encode.Encode(data)
	ioutil.WriteFile("data", buffer.Bytes(), 0600)

	read,_ := ioutil.ReadFile("data")

	buffer2 :=  bytes.NewBuffer(read)
	decode := gob.NewDecoder(buffer2)

	var post Post
	err := decode.Decode(&post)

	if err != nil {
		panic(err)
	}

	fmt.Println(post.Content)









/*
	file1,_ := os.Create("data2")
	defer file1.Close()
	file1.Write(data)
	file2,_ := os.Open("data2")
	defer file2.Close()
	read2 := make([]byte, len(data))
	file2.Read(read2)
	fmt.Println("%s", string(read2))*/

}
