package main

import "fmt"

type Post struct {
	id int
	name string
	Content string
}

var PostById map[int]*Post
var PostByName map[string][]*Post

func store(post Post)  {
	PostById[post.id] = &post
	PostByName[post.name] = append(PostByName[post.name], &post)
}


func main(){
	PostById = make(map[int]*Post)
	PostByName = make(map[string][]*Post)

	post1 := Post{id:1,name:"李白",Content:"望庐山瀑布"}
	post2 := Post{id:2,name:"杜甫",Content:"少年行"}
	post3 := Post{id:3,name:"辛弃疾",Content:"西江游"}
	post4 := Post{id:4,name:"李白",Content:"望庐山瀑布2"}

	store(post1)
	store(post2)
	store(post3)
	store(post4)

	fmt.Print(PostById[2])

	for _,v := range PostByName["李白"] {
		fmt.Print(v)
	}
}


