package main

import (
	"encoding/json"
	"net/http"
)

type Post struct {
	Id int `json:"id"`
	Name string `json:"name"`
	Content string `json:"content"`
}

func getPost(w http.ResponseWriter,r *http.Request) {
	post := Post{Id:1,Name:"libai",Content:"lujiangyue"}
	bybyff,_ :=json.MarshalIndent(post,"","\t\t")
	w.Write(bybyff)
}

func postHandler(w http.ResponseWriter,r *http.Request) {
	if r.Method == "GET" {
		getPost(w,r)
	}
}

func main(){
	mux := http.NewServeMux()
	mux.HandleFunc("/post", postHandler)
	http.ListenAndServe(":3333", mux)
}