package main

import (
	"encoding/json"
	"net/http"
	"net/http/httptest"
	"testing"
)

func TestGetPost( t *testing.T){
	mux := http.NewServeMux()
	mux.HandleFunc("/post/", getPost)

	w := httptest.NewRecorder()

	req,_ := http.NewRequest("GET","/post/",nil)

	mux.ServeHTTP(w, req)

	if w.Code != 200 {
		t.Errorf("返回错误'%d'", w.Code)
	}

	var post Post
	json.Unmarshal(w.Body.Bytes(),&post)

	if(post.Id != 1){
		t.Error("json字符串解析错误")
	}
}