package main

import (
	"fmt"
	"html/template"
	"math"
	"net/http"
	"strconv"
)


func handler(w http.ResponseWriter,r *http.Request){
	url := r.FormValue("q")
	file := GetHttpImage("temp",url,nil)

	html,err := template.ParseFiles("index.html")
	EchoError(err)

	colors := Aveg(file,nil,nil)

	str := strconv.Itoa(int(colors[0])) + "," + strconv.Itoa(int(colors[1])) + "," + strconv.Itoa(int(colors[2]))
	fmt.Println(str)
	data :=  map[string]string{"url":url,"colors":str}

	html.Execute(w,data)


}




func nearest(target [3]float64, db *map [string][3]uint) string{

	var filename string
	smallest:=1000000.0

	for k, v := range *db {
		dist := distance(target,v)
		if dist < smallest{
			filename, smallest =k, dist
		}
	}

	delete(*db ,filename)
	return  filename
}

func distance(p1 [3]float64, p2 [3]float64)float64{
	return math.Sqrt(sq(p2[0]-p1[0])+ sq(p2[1]-p1[1])+ sq(p2[2]-p1[2]))

}

func sq(n float64) float64{
	return n * n
}

func main () {
	getImagesColor()
	//downimages()
	/*mux := http.NewServeMux()
	mux.HandleFunc("/", handler)
	fmt.Println("启动中")
	http.ListenAndServe(":3333",mux)*/
}