package main

import (
	"fmt"
	"net/http"
)

/*
处理函数
func index(w http.ResponseWriter,r *http.Request)  {
		fmt.Fprintf(w, "首页")
}

func log(handlerFunc http.HandlerFunc) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		fmt.Printf("首页log \n")
		handlerFunc(w,r)
	}
}*/

//处理器
type index struct {}

func (*index) ServeHTTP(w http.ResponseWriter,r *http.Request) {
	fmt.Fprintf(w,"首页")
}

func log(h http.Handler) http.Handler {
 return http.HandlerFunc(func(w http.ResponseWriter,r *http.Request) {
 	fmt.Printf("访问首页 {%s}\n",r.URL)
 	h.ServeHTTP(w, r)
 })
}

func main()  {
		a :=index{}
		h :=&http.Server{
			Addr:":1234",
			Handler: log(&a),
		}
		h.ListenAndServe()
}
