package main

import (
	"fmt"
	"net/http"
)

func setCookie(w http.ResponseWriter, r *http.Request)  {
		cookie := http.Cookie{
			Name : "user_id",
			Value: "123",
		}

		http.SetCookie(w, &cookie)

}

func getCookie(w http.ResponseWriter, r *http.Request)  {
	 cookie :=r.Header["Cookie"]
	 fmt.Fprintln(w, cookie)

	 msg,err := r.Cookie("user_id")

	 if err == nil {
		 fmt.Fprint(w,msg)
	 }

}

func main()  {
	http.HandleFunc("/set", setCookie)
	http.HandleFunc("/get", getCookie)
	http.ListenAndServe(":333", nil)
}
